Skip to main content

Get transfers

GET 

/subaccounts/transfers

Returns information about multiple transfers of assets between a subaccount and your main account.

info

This is a private endpoint. To send requests, you need to authenticate.

warning

To use this private endpoint, you must use the API key of your main account with the Internal transfer permission.

Rate limit weight points: 5

Request

Query Parameters

    subaccountId uuidrequired

    The unique identifier for the subaccount.

    clientRequestId uuid

    Your identifier of the transfer.

    start integer

    The Unix timestamp in milliseconds starting from which to return transfers.

    end integer

    The Unix timestamp in milliseconds starting up to which to return transfers.

    limit integer

    The maximum number of transfers to return.

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
    items object[]required

    An array of objects per returned transferId.

  • Array [
  • transferIdstring<uuid>required

    Bitvavo identifier of the transfer.

    clientRequestIdstring<uuid>

    Your identifier of the transfer.

    subaccountIdstring<uuid>required

    The unique identifier for the subaccount.

    directionstringrequired

    Indicates the direction of the transfer.

    Possible values: [masterToSub, subToMaster]

    symbolstringrequired

    The asset that was transferred.

    amountstringrequired

    The quantity of the asset to transfer.

    statusstringrequired

    Status of the transfer.

    Possible values: [failed, pending, completed]

    createdAtstringrequired

    The Unix timestamp when the transfer was created.

  • ]
  • startintegerrequired

    The Unix timestamp in milliseconds starting from which to return transfers.

    endintegerrequired

    The Unix timestamp in milliseconds starting up to which to return transfers.

    limitintegerrequired

    The maximum number of transfers to return.

    Possible values: >= 1 and <= 1000

    Default value: 25